Bug 852379 - RFE: verbose fixfiles restore
RFE: verbose fixfiles restore
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
18
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 06:06 EDT by Marko Myllynen
Modified: 2012-12-20 10:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:23:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2012-08-28 06:06:06 EDT
Description of problem:
Currently it's impossible to get verbose output from "fixfiles -R pkg restore", now one needs two steps for this (check && restore). It might be helpful if fixfiles would allow verbose output while adjusting contexts, as restorecon does. For example, "fixfiles -v -R pkg restore".
Comment 1 Daniel Walsh 2012-10-16 13:21:12 EDT
# chcon -t bin_t /usr/sbin/httpd 

# fixfiles -v -R httpd restore
/sbin/restorecon reset /usr/sbin/httpd context system_u:object_r:bin_t:s0->system_u:object_r:httpd_exec_t:s0


Fixed in policycoreutils-2.1.13-8.fc18.x86_64
Comment 2 Fedora Update System 2012-10-16 13:23:00 EDT
policycoreutils-2.1.13-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-15666/policycoreutils-2.1.13-8.fc18
Comment 3 Fedora Update System 2012-10-18 11:26:47 EDT
Package policycoreutils-2.1.13-13.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.13-13.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15666/policycoreutils-2.1.13-13.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 10:23:13 EST
policycoreutils-2.1.13-13.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.